// Задача "Произведение цифр"
// 9-ая Интернет-олимпиада сезона 2007-2008, базовый уровень
// Автор задачи: Федор Царев, tsarev@rain.ifmo.ru
// Автор решения: Федор Царев, tsarev@rain.ifmo.ru

import java.io.*;
import java.util.*;

public class product_ft implements Runnable {

	public final static int MAX_N = (int) 2e5;

	private Scanner in;
	private PrintWriter out;
	String fname = "product";

	private void myAssert(boolean e, String message) {
		if (!e) {
			throw new Error("Assertion failure!!! " + message);
		}
	}

	boolean good(int x) {
		int t = x;
		int p = 1;
		while (t > 0) {
			p *= (t % 10);
			t /= 10;	
		}	
		if (p == 0) {
			return false;
		}
		return x % p == 0;
	}   

	public void solve() {
		int l = in.nextInt();
		int r = in.nextInt();
		myAssert(1 <= l && l <= 1e9, "");
		myAssert(1 <= r && r <= 1e9, "");
		myAssert(r - l <= 1e5, "");
		int ans = 0;
		for (int i = l; i <= r; i++) {
			if (good(i)) {
				ans++;
			}			
		}
		out.println(ans);
	}

	public void run() {
		try {
			solve();
		} catch (Exception e) {
			e.printStackTrace();
			System.exit(1);
		} finally {
			out.close();
		}		
	}

	public product_ft() {
		try {
			in = new Scanner(new File(fname + ".in"));
			out = new PrintWriter(new File(fname + ".out"));
		} catch (Exception e) {
			e.printStackTrace();
			System.exit(1);
		}
	}


	public static void main(String[] args) {
		Locale.setDefault(Locale.US);
		new Thread(new product_ft()).start();
	}

}                       